/*********************************************************
** Copyright (c) 2005
** University of Washington
** Licensed under the terms set forth by University of
** Washington. If you did not sign such a license, you
** are using this software/code illegally and you do not
** have permission to use, modify, or redistribute
** this or any files in this software package.
**
** File: MathUtility.h
**
**********************************************************/
#ifndef MATHUTILITY_H
#define MATHUTILITY_H

class CMathUtility
{
 private:
  CMathUtility();

 public:
  static void DivideVector(double *pNum, double *pDenom, int len);
  static int* CopyVector(int* vec, int len);
  static long* CopyVector(long* vec, int len);
  static double* CopyVector(double* vec, int len);
};

#endif
